## dnsmasq 2.92~rc3

=== debian/changelog ===
dnsmasq (2.92~rc3-1) unstable; urgency=medium

  * New upstream version 2.92~rc3
  * d/p/*:
    - Adapt patches to new upstream release.
    - Add work-around-bug-1122015.patch fixing temporary problem with
      systemd integration test.

 -- Sven Geuer <sge@debian.org>  Sun, 07 Dec 2025 20:12:47 +0100

=== debian/control ===
Source: dnsmasq
Section: net
Priority: optional
Build-Depends: dh-exec, gettext, libnetfilter-conntrack-dev [linux-any],
               libidn2-dev, libdbus-1-dev (>=0.61), libgmp-dev,
               nettle-dev (>=2.4-3), libbsd-dev [kfreebsd-any],
	       liblua5.4-dev, dh-runit, debhelper-compat (= 13),
               pkgconf, libnftables-dev
Maintainer: Simon Kelley <simon@thekelleys.org.uk>
Uploaders: Sven Geuer <sge@debian.org>
Homepage: https://www.thekelleys.org.uk/dnsmasq/doc.html
Vcs-Git: https://thekelleys.org.uk/git/dnsmasq-debian.git
Vcs-Browser: https://thekelleys.org.uk/gitweb/?p=dnsmasq-debian.git
Standards-Version: 4.7.2

Package: dnsmasq
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: netbase, dnsmasq-base,
         ${misc:Depends}
Suggests: resolvconf
Breaks: ${runit:Breaks}
Conflicts: resolvconf (<<1.15), ${runit:Conflicts}
Description: Small caching DNS proxy and DHCP/TFTP server - system daemon
 Dnsmasq is a lightweight, easy to configure, DNS forwarder and DHCP
 server. It is designed to provide DNS and optionally, DHCP, to a
 small network. It can serve the names of local machines which are
 not in the global DNS. The DHCP server integrates with the DNS
 server and allows machines with DHCP-allocated addresses
 to appear in the DNS with names configured either in each host or
 in a central configuration file. Dnsmasq supports static and dynamic
 DHCP leases and BOOTP/TFTP for network booting of diskless machines.

Package: dnsmasq-base
Architecture: any
Multi-Arch: foreign
Depends: passwd, ${misc:Depends}, ${shlibs:Depends}
Breaks: dnsmasq (<< 2.63-1~)
Replaces: dnsmasq (<< 2.63-1~), dnsmasq-base
Recommends: dns-root-data
Provides: dnsmasq-base
Conflicts: dnsmasq-base-lua
Description: Small caching DNS proxy and DHCP/TFTP server - executable
 This package contains the dnsmasq executable and documentation, but
 not the infrastructure required to run it as a system daemon. For
 that, install the dnsmasq package.

Package: dnsmasq-base-lua
Architecture: any
Multi-Arch: foreign
Depends: passwd, ${misc:Depends}, ${shlibs:Depends}
Breaks: dnsmasq (<< 2.63-1~)
Replaces: dnsmasq (<< 2.63-1~), dnsmasq-base
Recommends: dns-root-data
Provides: dnsmasq-base
Conflicts: dnsmasq-base
Description: Small caching DNS proxy and DHCP/TFTP server - executable, Lua-enabled
 This package contains the dnsmasq executable and documentation, but
 not the infrastructure required to run it as a system daemon. For
 that, install the dnsmasq package. This package is an alternative
 to dnsmasq-base which includes the Lua interpreter.

Package: dnsmasq-utils
Architecture: linux-any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: dnsmasq (<<2.40)
Description: Utilities for manipulating DHCP leases
 Small utilities to query a DHCP server's lease database and
 remove leases from it. These programs are distributed with dnsmasq
 and may not work correctly with other DHCP servers.

=== debian/watch ===
Version: 5
Pgp-Mode: auto
Source: https://thekelleys.org.uk/dnsmasq/
Matching-Pattern: dnsmasq@ANY_VERSION@.tar.gz

## dnsmasq 2.92

=== debian/changelog ===
dnsmasq (2.92-2) unstable; urgency=medium

  * d/dnsmasq-base.postrm: Drop deleting dnsmasq user.
  * d/dnsmasq-base*.post*: Stop managing directory in /run.
    - dnsmasq-base.postrm: Removed
    - dnsmasq-base-lua.postrm: Removed
    - dnsmasq-base.postinst: Updated
  * Configure dnsmasq user per sysusers.d config file.
    - d/dnsmasq-base*.sysuser: Add these files.
    - dnsmasq-base*.postinst: Drop these files.
    - d/control: Update Build-Depends and Depends fields.
  * Thanks to Luca Boccassi for providing patches to the three issues above
    (Closes: #1128117).
  * d/dnsmasq*.install: Remove leading '/' from target paths.
  * d/control:
    - Drop kfreebsd-related Build-Dependency.
      kfreebsd-any is not recognized as valid architecture anymore.
    - Drop 'Priority: optional'.
    - Drop unnecessary greater-than versioned build-dependencies.
    - Drop unnecessary older-than versioned dependencies.
  * d/u/metadate: Drop Contact field, cme reports it as being deprecated.
  * Apply 'wrap-and-sort -at', excluding d/dnsmasq-base-lua.maintscript.

 -- Sven Geuer <sge@debian.org>  Mon, 23 Feb 2026 18:03:31 +0100

dnsmasq (2.92-1+exp1) unstable; urgency=medium

  * d/t/functions: Add delays and code to debug CI failures.

 -- Sven Geuer <sge@debian.org>  Mon, 23 Feb 2026 17:27:55 +0100

dnsmasq (2.92-1) unstable; urgency=medium

  * d/t/functions:
    - Fix a typo.
    - In function check_utils, wait 1s before checking for cleared lease file.
      This measure should avoid occasional test failures.
  * Upload to unstable.

 -- Sven Geuer <sge@debian.org>  Sun, 18 Jan 2026 17:01:16 +0100

dnsmasq (2.92-1~exp1) experimental; urgency=medium

  * New upstream version 2.92
  * d/p/*: Drop work-around-bug-1122015.patch, the bug has been fixed.
  * d/control: Bump Standards-Version to 4.7.3.
  * d/copyright: Bump upstream and packaging copyright years.

 -- Sven Geuer <sge@debian.org>  Fri, 16 Jan 2026 20:07:33 +0100

=== debian/control ===
Source: dnsmasq
Section: net
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-runit,
               dh-sequence-installsysusers,
               gettext,
               libdbus-1-dev,
               libgmp-dev,
               libidn2-dev,
               liblua5.4-dev,
               libnetfilter-conntrack-dev [linux-any],
               libnftables-dev,
               nettle-dev,
               pkgconf,
Maintainer: Simon Kelley <simon@thekelleys.org.uk>
Uploaders: Sven Geuer <sge@debian.org>,
Homepage: https://www.thekelleys.org.uk/dnsmasq/doc.html
Vcs-Git: https://thekelleys.org.uk/git/dnsmasq-debian.git
Vcs-Browser: https://thekelleys.org.uk/gitweb/?p=dnsmasq-debian.git
Standards-Version: 4.7.3

Package: dnsmasq
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends},
Depends: dnsmasq-base,
         netbase,
         ${misc:Depends},
Suggests: resolvconf,
Breaks: ${runit:Breaks},
Conflicts: ${runit:Conflicts},
Description: Small caching DNS proxy and DHCP/TFTP server - system daemon
 Dnsmasq is a lightweight, easy to configure, DNS forwarder and DHCP
 server. It is designed to provide DNS and optionally, DHCP, to a
 small network. It can serve the names of local machines which are
 not in the global DNS. The DHCP server integrates with the DNS
 server and allows machines with DHCP-allocated addresses
 to appear in the DNS with names configured either in each host or
 in a central configuration file. Dnsmasq supports static and dynamic
 DHCP leases and BOOTP/TFTP for network booting of diskless machines.

Package: dnsmasq-base
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: dns-root-data,
Provides: dnsmasq-base,
Conflicts: dnsmasq-base-lua,
Description: Small caching DNS proxy and DHCP/TFTP server - executable
 This package contains the dnsmasq executable and documentation, but
 not the infrastructure required to run it as a system daemon. For
 that, install the dnsmasq package.

Package: dnsmasq-base-lua
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: dns-root-data,
Provides: dnsmasq-base,
Conflicts: dnsmasq-base,
Description: Small caching DNS proxy and DHCP/TFTP server - executable, Lua-enabled
 This package contains the dnsmasq executable and documentation, but
 not the infrastructure required to run it as a system daemon. For
 that, install the dnsmasq package. This package is an alternative
 to dnsmasq-base which includes the Lua interpreter.

Package: dnsmasq-utils
Architecture: linux-any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Utilities for manipulating DHCP leases
 Small utilities to query a DHCP server's lease database and
 remove leases from it. These programs are distributed with dnsmasq
 and may not work correctly with other DHCP servers.

=== debian/tests/control ===
Tests: compile-time-options,
Depends: dnsmasq,
         dnsmasq-base,
Restrictions: isolation-container,
              needs-root,

Tests: compile-time-options+lua,
Depends: dnsmasq,
         dnsmasq-base-lua,
Restrictions: isolation-container,
              needs-root,

Tests: get-address+query-dns+check-utils,
Depends: bind9,
         bind9-dnsutils,
         dnsmasq,
         dnsmasq-base,
         dnsmasq-utils,
         ifupdown,
Restrictions: allow-stderr,
              isolation-container,
              needs-root,

Tests: get-address+query-dns+lua+alt,
Depends: bind9,
         bind9-dnsutils,
         dnsmasq,
         dnsmasq-base-lua,
         ifupdown,
Restrictions: allow-stderr,
              isolation-container,
              needs-root,

Tests: get-address+query-dns+sysv+alt,
Depends: bind9,
         bind9-dnsutils,
         dnsmasq,
         dnsmasq-base,
         ifupdown,
Restrictions: allow-stderr,
              isolation-container,
              needs-root,

Tests: verify-fix-to-bug-871958,
Depends: dnsmasq,
         postfix,
         resolvconf,
Restrictions: isolation-container,
              needs-root,

## dnsmasq exporter-0.3.0-deps

=== github.com/!masterminds/semver@v1.4.2/Makefile ===
.PHONY: setup
setup:
	go get -u gopkg.in/alecthomas/gometalinter.v1
	gometalinter.v1 --install

.PHONY: test
test: validate lint
	@echo "==> Running tests"
	go test -v

.PHONY: validate
validate:
	@echo "==> Running static validations"
	@gometalinter.v1 \
	  --disable-all \
	  --enable deadcode \
	  --severity deadcode:error \
	  --enable gofmt \
	  --enable gosimple \
	  --enable ineffassign \
	  --enable misspell \
	  --enable vet \
	  --tests \
	  --vendor \
	  --deadline 60s \
	  ./... || exit_code=1

.PHONY: lint
lint:
	@echo "==> Running linters"
	@gometalinter.v1 \
	  --disable-all \
	  --enable golint \
	  --vendor \
	  --deadline 60s \
	  ./... || :

=== github.com/google/go-jsonnet@v0.16.0/Makefile ===
all: install.dependencies generate generate.stdlib build.bazel test tidy
.PHONY: all

# https://github.com/golang/go/issues/30515
# We temporarily set GO111MODULE=off here to avoid adding these binaries to the go.mod|sum files
# As they are not needed during runtime
install.dependencies : export GO111MODULE=off
install.dependencies:
	git submodule init
	git submodule update
	go get github.com/clipperhouse/gen
	go get github.com/clipperhouse/set
	go get github.com/fatih/color
	go get github.com/axw/gocov/gocov
	go get github.com/mattn/goveralls
	go get github.com/sergi/go-diff/diffmatchpatch
	if ! go get github.com/golang/tools/cmd/cover; then go get golang.org/x/tools/cmd/cover; fi;
.PHONY: install.dependencies

build.bazel:
	bazel build //cmd/jsonnet
.PHONY: build.bazel

_build.bazel.os:
	bazel build --platforms=@io_bazel_rules_go//go/toolchain:$(OS)_amd64 //cmd/jsonnet
.PHONY: build.bazel.os

build.bazel.linux : OS=linux
build.bazel.linux: _build.bazel.os
.PHONY: build.bazel.linux

build.bazel.darwin : OS=darwin
build.bazel.darwin: _build.bazel.os
.PHONY: build.bazel.darwin


build.bazel.windows : OS=windows
build.bazel.windows: _build.bazel.os
.PHONY: build.bazel.windows

build:
	go build ./cmd/jsonnet
.PHONY: build

build.old:
	go build ./cmd/jsonnet -o jsonnet-old
.PHONY: build.old

test:
	./tests.sh
.PHONY: test

benchmark : FILTER="Builtin"
benchmark: build
	./benchmark.sh ${FILTER}
.PHONY: benchmark

generate:
	go generate
.PHONY: generate

generate.stdlib:
	go run cmd/dumpstdlibast/dumpstdlibast.go cpp-jsonnet/stdlib/std.jsonnet > astgen/stdast.go
.PHONY: generate.stdlib

tidy:
	go mod tidy
	bazel run //:gazelle -- update-repos -from_file=go.mod -to_macro=bazel/deps.bzl%jsonnet_go_dependencies
.PHONY: tidy

gazelle:
	bazel run //:gazelle
.PHONY: gazelle

=== github.com/!burnt!sushi/xgb@v0.0.0-20160522181843-27f122750802/examples/atoms/Makefile ===
atoms:
	go build

test: atoms
	./atoms --requests 500000 --cpu 1 \
		--cpuprof cpu1.prof --memprof mem1.prof > atoms1.info 2>&1
	./atoms --requests 500000 --cpu 2 \
		--cpuprof cpu2.prof --memprof mem2.prof > atoms2.info 2>&1
	./atoms --requests 500000 --cpu 3 \
		--cpuprof cpu3.prof --memprof mem3.prof > atoms3.info 2>&1
	./atoms --requests 500000 --cpu 6 \
		--cpuprof cpu6.prof --memprof mem6.prof > atoms6.info 2>&1

=== github.com/gogo/protobuf@v1.1.1/test/oneof/Makefile ===
# Protocol Buffers for Go with Gadgets
#
# Copyright (c) 2013, The GoGo Authors. All rights reserved.
# http://github.com/gogo/protobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

regenerate:
	go install github.com/gogo/protobuf/protoc-gen-combo
	go install github.com/gogo/protobuf/protoc-gen-gogo
	protoc-gen-combo --version="2.6.0" --gogo_out=. --proto_path=../../../../../:../../protobuf/:. one.proto
